apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: backend
  namespace: notes

spec:
  interval: 10m

  chart:
    spec:
      chart: universal-chart
      version: "0.1.7"
      sourceRef:
        kind: HelmRepository
        name: yc-oci-charts
        namespace: flux-system
      interval: 10m

  install:
    remediation:
      retries: 3

  upgrade:
    remediation:
      retries: 3

  values:
    global:
      env: _default

    services:
      backend:
        enabled: true

        image:
          name:
            _default: cr.yandex/crp3ccidau046kdj8g9q/notes-backend:0.3.7
          pullPolicy:
            _default: IfNotPresent

        deployment:
          enabled: true

          name:
            _default: backend

          replicaCount:
            _default: 1
            stage: 1
            preprod: 3
            production: 3

          port:
            _default: 8000

          probes:
            liveness:
              enabled: false
            readiness:
              enabled: false

        service:
          enabled: true

          name:
            _default: backend-service

          type:
            _default: ClusterIP

          port:
            _default: 8000

          targetPort:
            _default: 8000

          portName:
            _default: http

        imagePullSecrets:
          enabled:
            _default: true
          name:
            _default: regcred
        labels:
          monitoring: prometheus

        envs:
          - name: DJANGO_HOST
            value:
              _default: "http://backend.sarex-django.svc.cluster.local:8000"

          - name: DOCUMENTATIONS_HOST
            value:
              _default: "http://documentations-service.sarex-documentations.svc.cluster.local:8080/api/v1"

          - name: BASE_HOST
            value:
              _default: "https://sarex.uralchem.com/notes"

          - name: FAAS_SERVICE
            value:
              _default: "http://generate-document-service.sarex-faas.svc.cluster.local:8000"

          - name: WORKSPACE_URL
            value:
              _default: "http://workspaces-service.sarex-workspaces.svc.cluster.local:8000/api/v1"

          - name: WORKFLOW_HOST
            value:
              _default: "http://workflows-service.sarex-processing.svc.cluster.local:8000/api/v1"

          - name: WORKFLOW_TAG
            value:
              _default: "stable"

          - name: ENABLE_METRICS
            value:
              _default: "0"

          - name: ENABLE_LOCAL_STORAGE
            value:
              _default: "0"

          - name: PG_HOST
            value:
              _default: "192.168.2.45"

          - name: REGISTRY
            value:
              _default: "cr.yandex/crp3ccidau046kdj8g9q/"

          - name: TIMEOUT
            value:
              _default: "120"

          - name: ATTACHMENT_HOST
            value:
              _default: "http://attachments-service.sarex-attachments.svc.cluster.local:8000/api/v1"

          - name: PG_PORT
            value:
              _default: "5432"
        secretEnvs:
          - name: PG_DB
            secretName:
              _default: "postgres-secret"
            secretKey: "database"

          - name: PG_LOGIN
            secretName:
              _default: "postgres-secret"
            secretKey: "username"

          - name: PG_PASSWORD
            secretName:
              _default: "postgres-secret"
            secretKey: "password"

          - name: DJANGO_TOKEN
            secretName:
              _default: "django-secret"
            secretKey: "token"

        commitSha: ""
        gitlabUri: ""
        gitlabJobUrl: ""
        owner: ""